Skip to main content
GET
/
wealth
/
accounts
/
{account_id}
/
life-events
List life events
curl --request GET \
  --url https://service.bluumfinance.com/v1/wealth/accounts/{account_id}/life-events \
  --header 'Authorization: Basic <encoded-value>'
{
  "life_events": [
    {
      "event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "College for Sarah",
      "event_type": "college",
      "expected_date": "2023-12-25",
      "estimated_cost": "<string>",
      "currency": "USD",
      "recurring": false,
      "linked_goal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "notes": "<string>",
      "status": "active",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total_count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.bluumfinance.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using the API Key as username and API Secret as password.

Path Parameters

account_id
string<uuid>
required

The investor account ID

Query Parameters

status
enum<string>

Filter by event status

Available options:
active,
completed,
archived
event_type
enum<string>

Filter by event type

Available options:
college,
wedding,
home_purchase,
retirement,
major_purchase,
career_change,
custom

Response

Life events retrieved successfully

life_events
object[]
total_count
integer